

'===============================================================================

'                          Atmega328P    RTC Ds1307

'                               LCD RDX0154-GS

'                 BASCOM-AVR : 2.0.7.1; 2.0.7.7
'
'  "glcd-UC1601.lib"    LCD    (MrShilov)

'                (MONIKYS)
'
'                   (Sasha_1973)

'===============================================================================

  $regfile = "m328pdef.dat"       '  
  $crystal = 1000000       '   (    )' 2000000  ' 4000000  ' 8000000
  $framesize = 32
  $hwstack = 40
  $swstack = 16
  $baud = 4800      '1200     '2400     '4800     '9600     '19200     '38400     '57600     '115000

'---------------------     I2c  --------------------------

  Const Variant_realizacii_i2c = 1       ' 1 -   ( -  ); 2 -    ( -  ); 3 -   ( -  )

'===============================================================================
'--------       ( )  ----------------
'===============================================================================
     Alias Portb.0 : Config  = Output
'===============================================================================
'             ()
'===============================================================================
     Alias Portc.1 : Config  = Output
'   = __ *   TIMER0 = 2 *   TIMER0 (16.448 ms) = 32.896 ms
'  ,     "  TIMER0.bas"
    Dim _ As Byte , __ As Byte
    Dim __ As Byte

    __ = 2

'===============================================================================

'---------------------     -----------------------------------

  $include "\ USART.bas"

  $include "\  I2c.bas"

  $include "\  TIMER0.bas"

  $include "\  Ds1307.bas"

  $include "\  Ds18b20.bas"

  $include "\  LCD RDX0154.bas"


'-----------------------     -----------------------------


'----------------------     ----------------------------


'----------------------     ----------------------------

'\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\

  __ds18b20 = 10       '   .,      Ds18b20

'\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\

'------------------       -----------------------

  Enable Int0       '      Ds1307
  Enable Timer0     '    
'  Start Timer0       '  ,      

'-------------------       ------------------------

  Enable Interrupts

'===============================================================================

'                                       

'===============================================================================
  Do
    _:
'---------------------------


      If __ds1307 <> 0 Then
          Gosub ____ds1307
          __lcd = 1
          __ds1307 = 0
          __ds18b20 = 1
          ____usart = 1
          Goto _
      End If


      If __ds18b20 <> 0 And __ds18b20 = 0 Then
          If ___ds18b20 = 0 Then
              ___ds18b20 = 1
              Gosub ___ds18b20
              __ds18b20 = __ds18b20
              Incr _
              _ = 1 : Start Timer0
              ___ds18b20 = 0
          End If
          Goto _
      End If


      If __lcd <> 0 Then
          Gosub __lcd
          __lcd = 0
          Goto _
      End If


      If ____usart <> 0 Then
          Gosub _usart
          ____usart = 0
          Goto _
      End If


'-----------------------
    _:
      Power Idle
'-----------------------
   Goto _
  Loop
 End
'===============================================================================

'                                         

'===============================================================================

  $include "\  USART.bas"
  $include "\  TIMER0.bas"
  $include "\  Ds1307.bas "
  $include "\  Ds18b20.bas"
  $include "\  LCD RDX0154-GS.bas"

'===============================================================================

'                                       

'===============================================================================